Show / Hide Table of Contents

# Class ExcelResolver<T>

This object resolves a rowID within an Excel sheet.

##### Inheritance

System.Object
ExcelResolver<T>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Resolvers

###### Assembly: Dalamud.dll

##### Syntax

    public class ExcelResolver<T>
        where T : ExcelRow

##### Type Parameters

Name | Description
--- | ---
T | The type of Lumina sheet to resolve.

### Properties

| Improve this Doc View Source

#### GameData

Gets GameData linked to this excel row.

##### Declaration

    public T GameData { get; }

##### Property Value

Type | Description
--- | ---
T |

| Improve this Doc View Source

#### Id

Gets the ID to be resolved.

##### Declaration

    public uint Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |